import { jsx } from "react/jsx-runtime";
import { BeanieIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Beanie = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Beanie", ...props, children: /* @__PURE__ */ jsx(BeanieIcon, { weight: variant }) });
  }
);
Beanie.displayName = "Beanie";
Object.assign(Beanie, { isGdsIcon: true });
export {
  Beanie
};
